Bug 75671 - perl function crypt returns different values from CLI/mod_perl
Summary: perl function crypt returns different values from CLI/mod_perl
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl   
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-10 21:52 UTC by Need Real Name
Modified: 2007-04-18 16:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-11 11:43:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-10-10 21:52:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.8 [en] (X11; U; Linux 2.4.19-ac4 i686)

Description of problem:
crypt returns wrong values under mod_perl

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. create script using crypt function
2. run from CLI, run from mod_perl
3.
	

Actual Results:  mod_perl value is consistently wrong

Expected Results:  mod_perl value is correct

Additional info:

See also:

http://marc.theaimsgroup.com/?l=perl5-porters&m=103012185631309&w=2

http://msgs.securepoint.com/cgi-bin/get/apache0210/35.html

http://www.mail-archive.com/dev@perl.apache.org/msg03349.html

Comment 1 Leonard den Ottolander 2004-04-22 17:12:38 UTC
According to the first mail this is really a glibc issue. reentr.c has
seen some changes, so I am not sure if this has been worked around.

Is this still a problem with FC 1?



Note You need to log in before you can comment on or make changes to this bug.